HallRotationTerm
Date: 2019-10-22

org.jmol.symmetry

## Class HallRotationTerm

- java.lang.Object
- - org.jmol.symmetry.HallRotationTerm

-     class HallRotationTerm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `allPositive`
    `(package private) char` | `axisType`
    `(package private) char` | `diagonalReferenceAxis`
    `(package private) java.lang.String` | `inputCode`
    `(package private) boolean` | `isImproper`
    `(package private) java.lang.String` | `lookupCode`
    `(package private) int` | `order`
    `(package private) java.lang.String` | `primitiveCode`
    `(package private) HallRotation` | `rotation`
    `(package private) javajs.util.M4` | `seitzMatrix12ths`
    `(package private) HallTranslation` | `translation`
    `(package private) java.lang.String` | `translationString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HallRotationTerm(HallInfo hallInfo, java.lang.String code, int prevOrder, char prevAxisType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `dumpInfo(java.lang.String vectorCode)`
    `(package private) java.lang.String` | `getXYZ(boolean allPositive)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inputCode

          java.lang.String inputCode

    - #### primitiveCode

          java.lang.String primitiveCode

    - #### lookupCode

          java.lang.String lookupCode

    - #### translationString

          java.lang.String translationString

    - #### rotation

          HallRotation rotation

    - #### translation

          HallTranslation translation

    - #### seitzMatrix12ths

          javajs.util.M4 seitzMatrix12ths

    - #### isImproper

          boolean isImproper

    - #### order

          int order

    - #### axisType

          char axisType

    - #### diagonalReferenceAxis

          char diagonalReferenceAxis

    - #### allPositive

          boolean allPositive

  - ### Constructor Detail

    - #### HallRotationTerm

          HallRotationTerm(HallInfo hallInfo,
                           java.lang.String code,
                           int prevOrder,
                           char prevAxisType)

  - ### Method Detail

    - #### dumpInfo

          java.lang.String dumpInfo(java.lang.String vectorCode)

    - #### getXYZ

          java.lang.String getXYZ(boolean allPositive)